#ifndef __TEST_SKILL_H__
#define __TEST_SKILL_H__

#include <adventure-pack/ap-skill.h>

#include <glib.h>

G_BEGIN_DECLS

typedef struct {
    APSkill *skill;
} SkillFixture;

void
skill_fixture_set_up (SkillFixture  *fixture,
                      gconstpointer  user_data);

void
skill_fixture_tear_down (SkillFixture  *fixture,
                         gconstpointer  user_data);

void
test_skill_name (SkillFixture  *fixture,
                 gconstpointer  user_data);

void
test_skill_score (SkillFixture  *fixture,
                  gconstpointer  user_data);

void
test_skill_bonus (SkillFixture  *fixture,
                  gconstpointer  user_data);

void
test_skill_modifier (SkillFixture  *fixture,
                     gconstpointer  user_data);

void
test_skill_proficient (SkillFixture  *fixture,
                       gconstpointer  user_data);

G_END_DECLS

#endif /* __TEST_SKILL_H__ */
